cURL
curl --request POST \ --url https://api.example.com/codon-exports/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "strategy": "<string>", "host": "cho", "output_formats": [ "fasta" ], "items": [ { "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "signal_peptides": {} } ], "options": {} } '
{ "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "job_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "export_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] }
Create N codon_export jobs under one batch and kick them off.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Create a batch of codon-export jobs (one job per variant).
cho
hek293
ecoli
pichia
1
fasta
genbank
csv
Show child attributes
Successful Response
Response from POST /codon-exports/batch.